Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto
Interface Registry

All Known Implementing Classes:
  CipherFactory, HashFactory, HMacFactory, MacFactory, ModeFactory, PadFactory, PRNGFactory, KeyPairGeneratorFactory, SignatureFactory

public interface Registry

A placeholder for names used throughout this library.

Version:
  $Revision: 1.5 $

Field Summary
`static java.lang.String` | `AES_CIPHER` AES is synonymous to Rijndael for 128-bit block size only.
`static java.lang.String` | `ANUBIS_CIPHER`
`static java.lang.String` | `CTR_MODE` Counter (NIST) mode.
`static java.lang.String` | `DSA_KPG` DSA is synonymous to DSS.
`static java.lang.String` | `DSA_SIG` DSA is synonymous to DSS.
`static java.lang.String` | `DSS_KPG`
`static java.lang.String` | `DSS_SIG`
`static java.lang.String` | `ECB_MODE` Electronic CodeBook mode.
`static java.lang.String` | `GNU_CRYPTO` The name of our Provider.
`static java.lang.String` | `HMAC_NAME_PREFIX` Name prefix of every HMAC implementation.
`static java.lang.String` | `ICM_MODE` Integer Counter Mode (David McGrew).
`static java.lang.String` | `ICM_PRNG` PRNG based on David McGrew's Integer Counter Mode.
`static java.lang.String` | `KHAZAD_CIPHER`
`static java.lang.String` | `MD_PRNG` PRNG based on a designated hash functiopn.
`static java.lang.String` | `MD4_HASH`
`static java.lang.String` | `MD5_HASH`
`static java.lang.String` | `NULL_CIPHER`
`static java.lang.String` | `OFB_MODE` Output Feedback Mode (NIST).
`static java.lang.String` | `PKCS7_PAD` PKCS#7 padding scheme.
`static java.lang.String` | `RIJNDAEL_CIPHER`
`static java.lang.String` | `RIPEMD_128_HASH` RIPEMD-128 is synonymous to RIPEMD128.
`static java.lang.String` | `RIPEMD_160_HASH` RIPEMD-160 is synonymous to RIPEMD160.
`static java.lang.String` | `RIPEMD128_HASH`
`static java.lang.String` | `RIPEMD160_HASH`
`static java.lang.String` | `RSA_KPG`
`static java.lang.String` | `RSA_PSS_SIG`
`static java.lang.String` | `SERPENT_CIPHER`
`static java.lang.String` | `SHA_1_HASH` SHA-1 is synonymous to SHA-160.
`static java.lang.String` | `SHA_HASH` SHA is synonymous to SHA-160.
`static java.lang.String` | `SHA1_HASH` SHA1 is synonymous to SHA-160.
`static java.lang.String` | `SHA160_HASH`
`static java.lang.String` | `SQUARE_CIPHER`
`static java.lang.String` | `TBC_PAD` Trailing Bit Complement padding scheme.
`static java.lang.String` | `TMMH16` The Truncated Multi-Modular Hash Function -v1 (David McGrew).
`static java.lang.String` | `TWOFISH_CIPHER`
`static java.lang.String` | `UHASH32` Message Authentication Code using Universal Hashing (Ted Krovetz).
`static java.lang.String` | `UMAC_PRNG` PRNG based on UMAC's Key Derivation Function.
`static java.lang.String` | `UMAC32`
`static java.lang.String` | `WHIRLPOOL_HASH`

Field Detail

### GNU_CRYPTO

    public static final java.lang.String GNU_CRYPTO

  The name of our Provider.

### ANUBIS_CIPHER

    public static final java.lang.String ANUBIS_CIPHER

### KHAZAD_CIPHER

    public static final java.lang.String KHAZAD_CIPHER

### RIJNDAEL_CIPHER

    public static final java.lang.String RIJNDAEL_CIPHER

### SERPENT_CIPHER

    public static final java.lang.String SERPENT_CIPHER

### SQUARE_CIPHER

    public static final java.lang.String SQUARE_CIPHER

### TWOFISH_CIPHER

    public static final java.lang.String TWOFISH_CIPHER

### NULL_CIPHER

    public static final java.lang.String NULL_CIPHER

### AES_CIPHER

    public static final java.lang.String AES_CIPHER

  AES is synonymous to Rijndael for 128-bit block size only.

### WHIRLPOOL_HASH

    public static final java.lang.String WHIRLPOOL_HASH

### RIPEMD128_HASH

    public static final java.lang.String RIPEMD128_HASH

### RIPEMD160_HASH

    public static final java.lang.String RIPEMD160_HASH

### SHA160_HASH

    public static final java.lang.String SHA160_HASH

### MD5_HASH

    public static final java.lang.String MD5_HASH

### MD4_HASH

    public static final java.lang.String MD4_HASH

### RIPEMD_128_HASH

    public static final java.lang.String RIPEMD_128_HASH

  RIPEMD-128 is synonymous to RIPEMD128.

### RIPEMD_160_HASH

    public static final java.lang.String RIPEMD_160_HASH

  RIPEMD-160 is synonymous to RIPEMD160.

### SHA_1_HASH

    public static final java.lang.String SHA_1_HASH

  SHA-1 is synonymous to SHA-160.

### SHA1_HASH

    public static final java.lang.String SHA1_HASH

  SHA1 is synonymous to SHA-160.

### SHA_HASH

    public static final java.lang.String SHA_HASH

  SHA is synonymous to SHA-160.

### ECB_MODE

    public static final java.lang.String ECB_MODE

  Electronic CodeBook mode.

### CTR_MODE

    public static final java.lang.String CTR_MODE

  Counter (NIST) mode.

### ICM_MODE

    public static final java.lang.String ICM_MODE

  Integer Counter Mode (David McGrew).

### OFB_MODE

    public static final java.lang.String OFB_MODE

  Output Feedback Mode (NIST).

### PKCS7_PAD

    public static final java.lang.String PKCS7_PAD

  PKCS#7 padding scheme.

### TBC_PAD

    public static final java.lang.String TBC_PAD

  Trailing Bit Complement padding scheme.

### ICM_PRNG

    public static final java.lang.String ICM_PRNG

  PRNG based on David McGrew's Integer Counter Mode.

### MD_PRNG

    public static final java.lang.String MD_PRNG

  PRNG based on a designated hash functiopn.

### UMAC_PRNG

    public static final java.lang.String UMAC_PRNG

  PRNG based on UMAC's Key Derivation Function.

### DSS_KPG

    public static final java.lang.String DSS_KPG

### RSA_KPG

    public static final java.lang.String RSA_KPG

### DSA_KPG

    public static final java.lang.String DSA_KPG

  DSA is synonymous to DSS.

### DSS_SIG

    public static final java.lang.String DSS_SIG

### RSA_PSS_SIG

    public static final java.lang.String RSA_PSS_SIG

### DSA_SIG

    public static final java.lang.String DSA_SIG

  DSA is synonymous to DSS.

### HMAC_NAME_PREFIX

    public static final java.lang.String HMAC_NAME_PREFIX

  Name prefix of every HMAC implementation.

### UHASH32

    public static final java.lang.String UHASH32

  Message Authentication Code using Universal Hashing (Ted Krovetz).

### UMAC32

    public static final java.lang.String UMAC32

### TMMH16

    public static final java.lang.String TMMH16

  The Truncated Multi-Modular Hash Function -v1 (David McGrew).

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.